{$M 2048, 65536, 655360}
unit PlayRAW;
{----------------------}
     interface
{----------------------}
procedure PlayRAWFile(FileName:string; Freq:word);
{----------------------}
   implementation
{----------------------}
uses
  PlaySnd;

procedure PlayRAWFile(FileName:string; Freq:word);
var
  SndData:pointer;
  SndFile:file;
  SndSize,BufSize:longint;
  Count,Last,i:word;
  OldFileMode:byte;

begin
  OldFileMode:=FileMode;
  FileMode:=0;
  Assign(SndFile, FileName);
  Reset(SndFile, 1);
  SndSize:=FileSize(SndFile);

  BufSize:=MaxAvail;
  if BufSize>$fff0 then BufSize:=$fff0;
  Count:=SndSize div BufSize;
  Last:=SndSize mod BufSize;
  GetMem(SndData, BufSize);
  PrepareForOutput(Freq);
  for i:=1 to Count do
  begin
    BlockRead(SndFile, SndData^, BufSize);
    PlaySound(SndData^, BufSize);
  end;
  if Last<>0 then
  begin
    BlockRead(SndFile, SndData^, Last);
    PlaySound(SndData^, Last);
  end;
  FinishOutput;
  Close(SndFile);
  FreeMem(SndData, BufSize);
  FileMode:=OldFileMode;
end;

end.
