uses
  TPCrt,
  PlaySnd;

type
  TSample=record
    Data:pointer;
    Size:word;
    Freq:word;
  end;

const
  Files:array[0..9] of string[12]=(
    'horn.raw',
    'pfft.raw',
    'platsch.raw',
    'scream.raw',
    'kozli.raw',
    'mot.raw',
    'chimes.raw',
    'tada.raw',
    'doom2.raw',
    'sound.raw');
var
  Sounds:array[0..9] of TSample;
  SndFile:file;
  i:byte;
  Ch:char;

begin
  FileMode:=0;
  for i:=0 to 9 do
  begin
    Assign(SndFile, Files[i]);
    Reset(SndFile,1);
    Sounds[i].Size:=FileSize(SndFile);
    GetMem(Sounds[i].Data, Sounds[i].Size);
    BlockRead(SndFile, Sounds[i].Data^, Sounds[i].Size);
    Close(SndFile);
  end;

  for i:=0 to 3 do
    Sounds[i].Freq:=22050;

  for i:=4 to 9 do
    Sounds[i].Freq:=11025;

  Writeln('Press ''0''..''9''');
  while true do
  begin
    Ch:=ReadKey;
    if Ch in ['0'..'9'] then
    begin
      i:=Ord(Ch)-Ord('0');
      PrepareForOutput(Sounds[i].Freq );
      PlaySound(Sounds[i].Data^, Sounds[i].Size);
      FinishOutput;
    end
    else
      Break;
  end;
  for i:=0 to 9 do
    FreeMem(Sounds[i].Data, Sounds[i].Size);
end.